Subject: Re: bug#57412: Could we make linum.el obsolete?

From: Colin Baxter <[email-masked]>
Date: Fri, 26 Aug 2022 17:55:24 +0100

>>>>> Dmitry Gutov <[email-masked]> writes:

    > On 26.08.2022 14:11, Lars Ingebrigtsen wrote:
    >> Eli Zaretskii<[email-masked]> writes:
    >> 
    >>> The only possible reason is that linum.el allows more freedom in
    >>> formatting the line numbers and their faces.  I don't know
    >>> whether this reason is serious enough to not obsolete linum.el.
    >> I think nlinum is supposed to support everything that linum does
    >> (and is faster and less buggy) -- but I haven't looked in detail.

    > Here's one such case when I ended just just recommending to avoid
    > linum:

    > https://github.com/company-mode/company-mode/issues/1336

I've never experienced any problems with linum.el but then my setup is
super-simple and does not include company-mode.

Best wishes,